/*
Copyright © 2025 NAME HERE <EMAIL ADDRESS>

*/
package cmd

import (
	"fmt"

	"github.com/spf13/cobra"

	"github.com/dhao2001/mygo.server/internal/app"
)

// versionCmd represents the version command
var versionCmd = &cobra.Command{
	Use:   "version",
	Short: "Print version information",
	Long: "Print app version to stdout.",
	Run: func(cmd *cobra.Command, args []string) {
		fmt.Printf("v%s\n", app.Version)
	},
}

func init() {
	rootCmd.AddCommand(versionCmd)
}
